import { Component, Inject, OnInit } from '@angular/core';
import { FormControl, FormGroup, Validators } from '@angular/forms';
import { MAT_DIALOG_DATA } from '@angular/material/dialog';
import { ContactsData } from 'src/app/interfaces/acquisition-management/provider/provider.interface';

@Component({
  selector: 'app-info-contact-provider',
  templateUrl: './contact-provider-form.component.html',
  styleUrls: ['./contact-provider-form.component.css']
})
export class ContactProviderFormComponent implements OnInit {

  public formGroup: FormGroup;

  constructor(
    @Inject(MAT_DIALOG_DATA) public contacts: ContactsData
  ) {
    this.formGroup = this.createFromGroup();
  }

  ngOnInit(): void {
  }

  // Creación de formulario de registro de módulos
  private createFromGroup(): FormGroup {
    return new FormGroup({
      'NOMBRE_CONTACTO': new FormControl(this.contacts.NOMBRE_CONTACTO),
      'TIPO_CONTACTO': new FormControl(this.contacts.TIPO_CONTACTO),
      'CALLE': new FormControl(this.contacts.CALLE),
      'NUMERO_EXTERIOR': new FormControl(this.contacts.NUMERO_EXTERIOR),
      'NUMERO_INTERIOR': new FormControl(this.contacts.NUMERO_INTERIOR),
      'CODIGO_POSTAL': new FormControl(this.contacts.CODIGO_POSTAL),
      'MUNICIPIO': new FormControl(this.contacts.MUNICIPIO),
      'ENTIDAD': new FormControl(this.contacts.ENTIDAD),
      'PAIS': new FormControl(this.contacts.PAIS),
      'TELEFONO1': new FormControl(this.contacts.TELEFONO1),
      'TELEFONO2': new FormControl(this.contacts.TELEFONO2),
      'CORREO1': new FormControl(this.contacts.CORREO1),
      'CORREO2': new FormControl(this.contacts.CORREO2),
      'OBSERVACIONES': new FormControl(this.contacts.OBSERVACIONES),
    });
  }

  get NOMBRE_CONTACTO() { return this.formGroup.get('NOMBRE_CONTACTO'); }
  get TIPO_CONTACTO() { return this.formGroup.get('TIPO_CONTACTO'); }
  get CALLE() { return this.formGroup.get('CALLE'); }
  get NUMERO_EXTERIOR() { return this.formGroup.get('NUMERO_EXTERIOR'); }
  get NUMERO_INTERIOR() { return this.formGroup.get('NUMERO_INTERIOR'); }
  get CODIGO_POSTAL() { return this.formGroup.get('CODIGO_POSTAL'); }
  get MUNICIPIO() { return this.formGroup.get('MUNICIPIO'); }
  get ENTIDAD() { return this.formGroup.get('ENTIDAD'); }
  get PAIS() { return this.formGroup.get('PAIS'); }
  get TELEFONO1() { return this.formGroup.get('TELEFONO1'); }
  get TELEFONO2() { return this.formGroup.get('TELEFONO2'); }
  get CORREO1() { return this.formGroup.get('CORREO1'); }
  get CORREO2() { return this.formGroup.get('CORREO2'); }
  get OBSERVACIONES() { return this.formGroup.get('OBSERVACIONES'); }

}
